Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.util
Class Assert

    java.lang.Object
      javafe.util.Assert

public class Assert
extends java.lang.Object

A class with static methods for checking assertions. (Inspired by Mastering the AWT by David Geary.)

Constructor Summary
`Assert()`

Method Summary
`static void` | `fail(java.lang.String msg)`
`static void` | `notFalse(boolean b)`
`static void` | `notFalse(boolean b, java.lang.String msg)`
`static void` | `notImplemented()`
`static void` | `notImplemented(java.lang.String s)`
`static void` | `notNull(java.lang.Object obj)`
`static void` | `notNull(java.lang.Object obj, java.lang.String msg)`
`static void` | `precondition()`
`static void` | `precondition(boolean b)`
`static void` | `precondition(java.lang.String msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assert

    public Assert()

Method Detail

### fail

    public static void fail(java.lang.String msg)

### notFalse

    public static void notFalse(boolean b)

### notFalse

    public static void notFalse(boolean b,
                                java.lang.String msg)

### notNull

    public static void notNull(java.lang.Object obj)

### notNull

    public static void notNull(java.lang.Object obj,
                               java.lang.String msg)

### precondition

    public static void precondition()

### precondition

    public static void precondition(java.lang.String msg)

### precondition

    public static void precondition(boolean b)

### notImplemented

    public static void notImplemented()

### notImplemented

    public static void notImplemented(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage